List API tokens
const url = 'https://app.prefactorai.com/api/v1/api_token?account_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.prefactorai.com/api/v1/api_token?account_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”A valid account ID
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyAccount ID (defaults to token’s account)
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, status.
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, status.
Zero-based offset of the first item to return.
Number of items to return per page (1-100).
Responses
Section titled “Responses”Success
object
Pagination information
object
The total number of items
The index of the last item in the page (one-based)
The index of the first item in the page (one-based)
The total number of pages
The index of the current page (one-based)
The offset of the first item in the page (zero-based)
The number of items per page
Null
object
A valid account ID
A valid agent deployment ID
Null
A valid admin user ID
Null
A valid environment ID
Null
When the token expires
A valid API token ID
When the token was created
Current status of the token
Scope of the token
Type of resource (always ‘api_token’)
When the token was last updated
Example
{ "pagination": { "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80 }, "sorting": null, "status": "success", "summaries": [ { "account_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "agent_deployment_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "agent_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "created_by_admin_user_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "environment_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "expires_at": "2024-01-01T00:00:00Z", "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "inserted_at": "2024-01-01T00:00:00Z", "last_used_at": "2024-01-01T00:00:00Z", "status": "active", "token_scope": "account", "type": "api_token", "updated_at": "2024-01-01T00:00:00Z" } ]}default
Section titled “default”Error